### Method

# GLib Node max_height

#### Declaration

    guint
    g_node_max_height (
      GNode* root
    )

#### Description

Gets the maximum height of all branches beneath a `GNode`. This is the maximum distance from the `GNode` to all leaf nodes.

If `root` is `NULL`, 0 is returned. If `root` has no children, 1 is returned. If `root` has children, 2 is returned. And so on.

#### Return value

Type: `guint`

The maximum height of the tree beneath `root`.